Last Comment Bug 761786 - Mp4 playback caused gecko to crash and restart
: Mp4 playback caused gecko to crash and restart
Status: VERIFIED FIXED
: crash
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- critical (vote)
: mozilla16
Assigned To: cajbir (:cajbir)
:
:
Mentors:
Depends on:
Blocks: 748351
  Show dependency treegraph
 
Reported: 2012-06-05 14:09 PDT by dclarke@mozilla.com [:onecyrenus]
Modified: 2012-06-07 14:35 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
+


Attachments
logcat of gecko crash (5.59 KB, text/plain)
2012-06-05 14:09 PDT, dclarke@mozilla.com [:onecyrenus]
no flags Details
Fix (822 bytes, patch)
2012-06-06 20:18 PDT, cajbir (:cajbir)
edwin: review+
Details | Diff | Splinter Review

Description dclarke@mozilla.com [:onecyrenus] 2012-06-05 14:09:56 PDT
Created attachment 630320 [details]
logcat of gecko crash

I was experimenting with h264 playback. 

people.mozilla.com/~dclarke/index2.html

Upon attempting to play gizmo the second time gecko crashes and restarts. 

I am unsure why we are getting into this state.  It doesn't happen with a simple page that just loads a video tag. However the crash does seem to happen inside the new code, so maybe it is worth a look. 

Attached is the logcat.
Comment 1 cajbir (:cajbir) 2012-06-05 14:27:03 PDT
It happens most often when you play a video on a page, then navigate (or refresh) to another page with a video and play that. Do it a couple of times and then it crashes.
Comment 2 cajbir (:cajbir) 2012-06-06 20:18:19 PDT
Created attachment 630820 [details] [diff] [review]
Fix

Crash is caused by an assertion on codec destruction that checks if the codec has been stopped. Fix was to stop codecs in destructor of plugin.
Comment 4 Ed Morley [:emorley] 2012-06-07 05:44:34 PDT
https://hg.mozilla.org/mozilla-central/rev/717abd8063e2
Comment 5 dclarke@mozilla.com [:onecyrenus] 2012-06-07 14:35:54 PDT
Verified Samsung II running B2G

Note You need to log in before you can comment on or make changes to this bug.